# CvKalman Struct Reference

`#include <tracking.hpp>`

List of all members.

## Public Attributes

CvMat * | control_matrix
int | CP
int | DP
float * | DynamMatr
CvMat * | error_cov_post
CvMat * | error_cov_pre
CvMat * | gain
float * | KalmGainMatr
CvMat * | measurement_matrix
CvMat * | measurement_noise_cov
float * | MeasurementMatr
float * | MNCovariance
int | MP
float * | PNCovariance
float * | PosterErrorCovariance
float * | PosterState
float * | PriorErrorCovariance
float * | PriorState
CvMat * | process_noise_cov
CvMat * | state_post
CvMat * | state_pre
float * | Temp1
CvMat * | temp1
float * | Temp2
CvMat * | temp2
CvMat * | temp3
CvMat * | temp4
CvMat * | temp5
CvMat * | transition_matrix

## Member Data Documentation

CvMat* CvKalman::control_matrix

int CvKalman::CP

int CvKalman::DP

float* CvKalman::DynamMatr

CvMat* CvKalman::error_cov_post

CvMat* CvKalman::error_cov_pre

CvMat* CvKalman::gain

float* CvKalman::KalmGainMatr

CvMat* CvKalman::measurement_matrix

CvMat* CvKalman::measurement_noise_cov

float* CvKalman::MeasurementMatr

float* CvKalman::MNCovariance

int CvKalman::MP

float* CvKalman::PNCovariance

float* CvKalman::PosterErrorCovariance

float* CvKalman::PosterState

float* CvKalman::PriorErrorCovariance

float* CvKalman::PriorState

CvMat* CvKalman::process_noise_cov

CvMat* CvKalman::state_post

CvMat* CvKalman::state_pre

float* CvKalman::Temp1

CvMat* CvKalman::temp1

float* CvKalman::Temp2

CvMat* CvKalman::temp2

CvMat* CvKalman::temp3

CvMat* CvKalman::temp4

CvMat* CvKalman::temp5

CvMat* CvKalman::transition_matrix

The documentation for this struct was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/video/include/opencv2/video/tracking.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines